.main-header {
    width: 100%;
    position: fixed;
    top: 0;
    left: 0;
    z-index: 100;
    transition: all .3s linear;
}
.main-header.header-sticky {
    background: var(--primary);
    box-shadow: 0 2px 2px -1px rgb(0 0 0 / 20%);
}
.main-header ul {
    margin: 0;
    padding: 0;
    list-style: none;
}

.main-header .header__inner {
    display: flex;
    align-items: center;
    justify-content: space-between;
    transition: max-height 0.4s;
    max-height: 200px;
    max-width: 1512px;
    margin: 0 auto;
}

.header__logo {
    display: inline-flex;
}
.header__logo a {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    padding: 1.25rem;
    background: rgba(255, 255, 255, 0.86);
    filter: drop-shadow(0px 4px 4px rgba(0, 0, 0, 0.23));
}
.header__logo a svg {
    display: inline-flex;
}

.nav-menu-items ul {
    margin: 0;
    padding: 0;
    list-style: none;
    transition: all .3s linear;
}
.nav-menu-items ul li {
    display: inline-flex;
    margin: 0 1rem;
}
.nav-menu-items ul li a {
    color: var(--gray);
    padding: 0.5rem 1rem;
    font-size: 12px;
    font-style: normal;
    font-weight: 500;
    line-height: 14px;
    letter-spacing: 1.05px;
    text-transform: uppercase;
    text-decoration: none;
    transition: all .3s linear;
}
body.home .nav-menu-items ul li a {
    color: var(--white);
}
/* .nav-menu-items ul.menu:hover li a {
    opacity: .5;
}
.nav-menu-items ul li a:hover {
    opacity: 1 !important;
} */

.right-menu {
    display: flex;
    align-items: center;
    gap: 20px;
}

.cart-link {
    display: inline-flex;
    align-items: center;
    justify-content: center;
    color: var(--offwhite);
}
.right-menu ul.header-btn {
    display: flex;
    align-items: center;
    gap: 10px;
    list-style: none;
    margin: 0;
    padding: 0;
	white-space: nowrap;
}
ul.header-btn .btn-theme {
    padding: 6px 12px;
}
body.home ul.header-btn .btn-theme {
    background: rgba(255, 255, 255, 0.20);
}
body.home ul.header-btn .btn-theme:hover {
    background: transparent;
}

.hamburger-toggle {
    color: var(--white);
    display: inline-flex;
    text-decoration: none;
}
.hamburger-toggle .icon {
    width: 28px;
    height: 28px;
}


body.has-menu {
    overflow: hidden;
}
body.has-menu .burger span {
    opacity: 0;
    transition: all .3s linear;
}
.burger .burger__text-open {
    position: absolute;
    opacity: 0;
    pointer-events: none;
}
body.has-menu .burger .burger__text-open {
    opacity: 1;
    pointer-events: all;
}

.main-header ul.sub-menu {
    position: fixed;
    top: 70px;
    left: 0;
    right: 0;
    visibility: hidden;
    opacity: 0;
    transition: all 0.3s linear;
    width: 100%;
    text-align: center;
    max-width: 1000px;
    margin: 0 auto;
}

.main-header ul.sub-menu li a {
    text-align: left;
    height: auto;
}
.main-header ul.sub-menu li a:after {
    background: none;
}

.main-header .header__menu .btn-link {
    color: var(--offwhite);
    font-size: 14px;
    font-weight: 500;
    margin-bottom: 20px;
}

















.nav>a {
    position: absolute;
    top: -56px;
    left: 0;
    width: 100%;
    padding-left: 15px;
    font-family: Matter SQ, sans-serif;
    font-size: 11px;
    line-height: 1.2;
    letter-spacing: 0.15em;
    text-transform: uppercase;
    -webkit-transition: -webkit-transform 0.6s ease-out;
    transition: -webkit-transform 0.6s ease-out;
    -o-transition: transform 0.6s ease-out;
    transition: transform 0.6s ease-out;
    transition: transform 0.6s ease-out, -webkit-transform 0.6s ease-out;
    -webkit-transform: translateX(100%);
    -ms-transform: translateX(100%);
    transform: translateX(100%);
}
.nav>a:before {
    content: "←";
    position: absolute;
    top: -1px;
    left: 0;
}
.nav.has-submenu>a {
    -webkit-transform: none;
    -ms-transform: none;
    transform: none;
}
nav ol,
nav ul {
    list-style: none outside none;
}



.nav>.nav__inner>ul:after {
    content: "";
    display: block;
    width: 1px;
    height: calc(100% - 27px);
    background-color: hsla(0, 0%, 100%, 0.2);
    position: absolute;
    top: 15px;
    right: 0;
    -webkit-transition: -webkit-transform 0.6s ease-out;
    transition: -webkit-transform 0.6s ease-out;
    -o-transition: transform 0.6s ease-out;
    transition: transform 0.6s ease-out;
    transition: transform 0.6s ease-out, -webkit-transform 0.6s ease-out;
    pointer-events: none;
    -webkit-transform: scaleY(0);
    -ms-transform: scaleY(0);
    transform: scaleY(0);
    -webkit-transform-origin: center top;
    -ms-transform-origin: center top;
    transform-origin: center top;
}

.nav.has-submenu>.nav__inner>ul {
    color: hsla(0, 0%, 100%, 0.2);
}



.nav.has-submenu>.nav__inner>ul:after {
    -webkit-transform: scale(1);
    -ms-transform: scale(1);
    transform: scale(1);
}



.main-header  .menu-item.menu-item-has-children:hover>.sub-menu {
    opacity: 1;
    visibility: visible;
    transition: 0.5s;
    -webkit-transition: 0.5s;
    -moz-transition: 0.5s;
    -ms-transition: 0.5s;
    -o-transition: 0.5s;
}

.menu-item.menu-item-has-children {
    /* position: relative; */
}

.nav a {
    text-decoration: none;
}

 ul li a {
    position: relative;
    height: auto;
}



.nav li.menu-item-has-children:after {
    content: "";
    display: block;
    position: absolute;
    top: 0;
    right: 0;
    width: 60px;
    height: 100%;
    pointer-events: none;
}

.nav li.menu-item-has-children.is-open:after {
    pointer-events: all;
}

.nav li.menu-item-has-children.is-open>a {
    color: var(--white);
}

body.has-fixed-header:not(.has-menu) .header,
body:not(.has-menu) .header.header--light {
    color: var(--dark);
}

body.has-transition .main-header {
    opacity: 0 !important;
}


.nav {
    font-weight: 200;
    font-size: 56px;
    line-height: 1.2;
    display: inline-block;
}

/* .main-header  {
    display: flex;
    transition: padding 0.4s;
    align-items: center;
    justify-content: space-between;
    width: 100%;
} */

.main-header .header__menu {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: calc(100vh - 0px);
    background: #BB8459;
    color: var(--white);
    padding-top: 67px;
    z-index: 1001;
    transition: all .75s ease;
    transform: translateX(-100%);
    opacity: 0;
}
body.has-menu .main-header .header__menu {
    transform: translateX(0);
    opacity: 1;
}
.main-header.sub-menu-open .header__menu {
    background: var(--gray);
}



/* ---- Sub Menu Dropdown Icon ---- */
.menu:has(.sub-menu) .menu-item-has-children > a {
    padding-right: 18px;
    height: auto;
    position: relative;
}
.menu:has(.sub-menu) .menu-item-has-children > a:after,
.menu:has(.sub-menu) .menu-item-has-children > a:before {
    border-right: 2.4px solid;
    content: '';
    display: block;
    height: 8px;
    margin-top: -3px;
    position: absolute;
    transform: rotate(135deg);
    right: 9px;
    top: 50%;
    width: 0;
    transition: all .15s linear;
}
.menu:has(.sub-menu) .menu-item-has-children > a:after {
    transform: rotate(45deg);
    right: 4px;
}
.menu:has(.sub-menu) .menu-item-has-children > a:hover:after {
    transform: rotate(-45deg);
}
.menu:has(.sub-menu) .menu-item-has-children > a:hover:before {
    transform: rotate(225deg);
}






/* **** Footer **** */
.main-footer {
    padding-top: 50px;
    padding-bottom: 50px;
    background: #2E2E2E;
    color: var(--white);
}
.footer_newsletter_form {
    padding-bottom: 50px;
    border-bottom: 1px solid #D5D5D5;
}
.main-footer .newsletter-heading {
    font-size: 24px;
    font-weight: 400;
}
.footer-links {
    padding-top: 40px;
}
.footer-links :is(a, p) {
    font-size: 13px;
    font-weight: 400;
    color: rgba(255, 255, 255, 0.80);
    text-decoration: none;
    transition: all .3s linear;
}
.footer-links p {
    margin-bottom: 8px;
}
.footer-links a:hover {
    color: rgba(255, 255, 255, 1);
    text-decoration: underline;
}
.footer-links > div:first-child .card-body {
    max-width: 540px;
    margin-bottom: 30px;
}
.footer-links ul {
    margin: 0;
    padding: 0;
    list-style: none;
    margin-bottom: 24px;
    transition: all .3s linear;
}
.footer-links > div:first-child .card-body p {
    color: var(--white);
}
.footer-links .card-head {
    color: var(--primary);
    font-size: 12px;
    font-weight: 500;
    letter-spacing: 1.05px;
    text-transform: uppercase;
    margin-bottom: 16px;
}
.footer-copyright {
    margin-top: 30px;
}
.footer-copyright p {
    color: #969696;
    font-size: 11px;
    font-weight: 400;
    line-height: 16px;
    margin: 0;
}
.footer-copyright p :is(b, strong) {
    font-weight: 500;
}
.footer-copyright p:not(:last-child) {
    margin-bottom: 12px;
}
/* **************** */



/* **** Media Query **** */
@media (min-width: 768px) {
    .main-header .header__menu-inner::-webkit-scrollbar-thumb {
        height: 56px;
        border-radius: 8px;
        border: 3px solid transparent;
        background-clip: content-box;
        background-color: #f4f4f4;
    }

    .main-header .header__menu-inner::-webkit-scrollbar {
        width: 14px;
    }
}

@media (min-width: 991px) {
    .menu-item-has-children:hover a:after {
        content: '';
        transform: rotateZ(180deg);
        -webkit-transform: rotateZ(180deg);
        -moz-transform: rotateZ(180deg);
        -ms-transform: rotateZ(180deg);
        -o-transform: rotateZ(180deg);
        transition: all 1s ease;
        -webkit-transition: all 1s ease;
        -moz-transition: all 1s ease;
        -ms-transition: all 1s ease;
        -o-transition: all 1s ease;
    }
    .nav li.menu-item-has-children.is-open ul {
        -webkit-transition: opacity 0s 0.6s, color 0.4s;
        -o-transition: opacity 0s 0.6s, color 0.4s;
        transition: opacity 0s 0.6s, color 0.4s;
        opacity: 1;
        pointer-events: all;
    }
    .nav li.menu-item-has-children li {
        -webkit-transition: -webkit-transform 0s 0.6s;
        transition: -webkit-transform 0s 0.6s;
        -o-transition: transform 0s 0.6s;
        transition: transform 0s 0.6s;
        transition: transform 0s 0.6s, -webkit-transform 0s 0.6s;
        -webkit-transform: translateX(-100%);
        -ms-transform: translateX(-100%);
        transform: translateX(-100%);
        position: relative;
    }
    .burger {
        display: none;
    }
    ul.inside-menu {
        list-style: none;
        display: flex;
        flex-wrap: wrap;
        margin: 0;
        padding: 0;
    }
    .right-menu .cart-link {
        display: none;
    }

    .main-header .nav-menu-items .menu li.menu-item-has-children > .menu-arrow {
        display: none;
    }
}

@media (min-width: 1201px) {
    
}

@media (min-width: 1401px) {
    
}

@media (min-width: 1620px) {
    
}

@media (max-width: 1400px) {
    .nav-menu-items ul li {
        margin: 0 0.75rem;
    }
    .nav-menu-items ul li a {
        padding: 0.75rem;
        letter-spacing: 1px;
    }



    .nav li.menu-item-has-children:after {
        content: none;
    }

    .nav li.menu-item-has-children li {
        width: 100%;
    }
}

@media (max-width: 1200px) {
    .main-header ul.sub-menu {
        top: 65px;
    }
    .nav-menu-items ul li {
        margin: 0 0.25rem;
    }
    .nav-menu-items ul li a {
        padding: 0.5rem;
        letter-spacing: .3px;
    }
    /* .header__logo a {
        padding: .75rem;
    }
    .header__logo a svg {
        width: 100px;
    } */
    .footer-links > div:first-child .card-body {
        max-width: 990px;
    }
}

@media (max-width: 990px) {
    .header__logo a {
        padding: .25rem .5rem;
    }
    .header__logo a svg {
        width: 80px;
    }
    .main-header .header__menu-inner {
        padding: 30px 20px;
        padding-bottom: 60px;
    }


    .right-menu ul.header-btn {
        display: none;
    }


    .main-header .header__inner {
        position: relative;
        z-index: 10012;
    }

    .main-header ul.sub-menu {
        position: absolute;
        top: 0px;
        left: 0;
        width: 100%;
        height: calc(100vh - 0px);
        background: var(--gray);
        color: var(--white);
        z-index: 1002;
    }

    .main-header .header__actions {
        display: none;
    }
    .nav {
        font-size: 27px;
        line-height: 1.185;
        display: block;
        width: 100%;
        position: relative;
    }
    .nav>.nav__inner>ul:after {
        content: none;
    }
    .nav.has-submenu>.nav__inner>ul {
        color: inherit;
        -webkit-transform: translateX(-100%);
        -ms-transform: translateX(-100%);
        transform: translateX(-100%);
    }
    .nav li.menu-item-has-children.is-open ul {
        -webkit-transition: opacity 0s 0s, color 0.4s;
        -o-transition: opacity 0s 0s, color 0.4s;
        transition: opacity 0s 0s, color 0.4s;
    }
    .nav li.menu-item-has-children.is-open li {
        -webkit-transform: none;
        -ms-transform: none;
        transform: none;
    }
    .main-header  .nav-shop {
        display: none;
    }

    .sub-menu {
        display: none;
        padding-left: 1rem;
    }

    ul.inside-menu {
        display: flex;
    }

    ul.inside-menu li:first-child a {
        background: #861F41;
    }

    ul.inside-menu li:nth-child(2) {
        display: none;
    }

    ul.inside-menu li:nth-child(1) {
        order: 3;
    }

    ul.inside-menu li a {
        padding: 0 12px;
    }

    span.burger__text {
        display: flex;
    }

    li.menu-item.active a::after {
        transform: rotateZ(180deg);
        -webkit-transform: rotateZ(180deg);
        -moz-transform: rotateZ(180deg);
        -ms-transform: rotateZ(180deg);
        -o-transform: rotateZ(180deg);
        transition: all 1s ease;
        -webkit-transition: all 1s ease;
        -moz-transition: all 1s ease;
        -ms-transition: all 1s ease;
        -o-transition: all 1s ease;
    }

    .header__menu-inner .nav__inner .menu li a {
        font-size: 15px;
        display: flex;
        align-items: center;
        padding: 1.25rem 0;
        padding-right: 2rem;
        border-bottom: 1px solid rgba(255, 255, 255, 0.30);
        letter-spacing: 1.05px;
        text-transform: uppercase;
        font-weight: 500;
        color: #FEFDFC;
        text-decoration: none;
    }
    .main-header .header__menu {
        overflow: auto;
    }


    .header__menu-inner .nav__inner .menu li.menu-item-has-children {
        border-bottom: 1px solid rgba(255, 255, 255, 0.30);
        display: flex;
        align-items: center;
        justify-content: space-between;
    }
    .header__menu-inner .nav__inner .menu li.menu-item-has-children > a {
        border-color: transparent;
        flex: 1;
    }
    .header__menu-inner .nav__inner .menu li.menu-item-has-children > .menu-arrow {
        display: inline-flex;
        justify-content: end;
        align-items: center;
        text-align: end;
        width: 40px;
        color: #FEFDFC;
    }


    .menu:has(.sub-menu) .menu-item-has-children > a:after {
        /* content: '';
        background-image: url("data:image/svg+xml;utf8,<svg width='14' height='14' viewBox='0 0 14 14' fill='none' class='icon' xmlns='http://www.w3.org/2000/svg'><path d='M12 8.09246L2 8.09246L2 1' stroke='white' stroke-width='1.10145' stroke-miterlimit='10'></path><path d='M7.26562 3.18555L11.8127 8.09331L7.26562 13.0013' stroke='white' stroke-width='1.10145' stroke-miterlimit='10'></path></svg>");
        margin: 0;
        transform: unset !important;
        top: 50%;
        width: 16px;
        height: 16px;
        background-position: center;
        background-repeat: no-repeat;
        background-size: contain;
        display: inline-block;
        border: 0; */
        content: none;
    }
    .menu:has(.sub-menu) .menu-item-has-children > a:before {
        content: none;
    }

    .main-header .theme-container {
        padding-left: 0;
        padding-right: 0;
    }
    .main-header .theme-container .header__inner {
        padding-left: 20px;
        padding-right: 20px;
    }
    body.has-menu .main-header .theme-container .header__inner {
        background: var(--primary);
    }
    .main-header.sub-menu-open .theme-container .header__inner {
        background: var(--gray);
    }
}

@media (max-width: 767px) {
    .main-header .theme-container .header__inner {
        padding-left: 12px;
        padding-right: 12px;
    }
}

@media (max-width: 576px) {
    .footer-links .card-head {
        margin-bottom: 10px;
    }
}
